This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 572015 - make use of <title> tag within <abstract> explicit
make use of <title> tag within <abstract> explicit
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Hideo
Joshua Wulf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-09 20:29 EST by Darrin Mison
Modified: 2014-10-19 18:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-09 20:57:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Darrin Mison 2010-03-09 20:29:34 EST
Description of problem:

I want to be able to use the <abstract> tag without the implicit title of "Abstract" appearing at the top.  Can we make use of the <title> child tag of <abstract> for the title, and have no title if none is supplied ?

Many books have content at the start of each chapter (and some sections) like "Read this chapter for instructions on how to do X".  I would like to be able to mark that up as an abstract so that it is visually distinct for the reader.  I think <abstract> is the appropriate tag for this usecase.

Version-Release number of selected component (if applicable):
1.6

Steps to Reproduce:

1. in book_info.xml
<abstract>
<title>Abstract</title>
<para>This book is about the product X</para>
</abstract>

2. in installation.xml
<chapter>
<title>Installation</title>
<abstract>
<para>Read this chapter to learn how to install the product</para>
</abstract>
....

Actual results:

*Abstract*
This book is about the product X

*Chapter 1. Installation*
Abstract
Read this chapter to learn how to install the product

Expected results:

*Abstract*
This book is about the product X

*Chapter 1. Installation*
Read this chapter to learn how to install the product


Additional info:
Comment 1 Jeff Fearn 2010-03-09 20:57:59 EST
Please open discussions about this kind of thing on the list and get a consensus before opening tickets about it.

Note You need to log in before you can comment on or make changes to this bug.